import '../../../../../../food_delivery_client.dart';

class WFilterDietary extends StatelessWidget with FilterMixins {
 WFilterDietary({super.key});

  @override
  Widget build(BuildContext context) {
    final List<String> dietaryTitles = [
      context.loc.vegetarian,
      context.loc.vegan,
      context.loc.glutenFree,
      context.loc.allergyFriendly,
    ];
    return Column(
      crossAxisAlignment: CrossAxisAlignment.start,
      children: [
        25.verticalSpace,
        Text(
          context.loc.dietary,
          style: AppTextStyles.size18Medium,
        ).paddingSymmetric(horizontal: 20),
        15.verticalSpace,
        Column(
          crossAxisAlignment: CrossAxisAlignment.start,
          children: List.generate(4, (index) {
            return AppListTile(
              onPressed: () {},
              isSelected: false,
              leading: Image.asset(filterDietary[index], height: 30, width: 30),
              svgPath: filterDietary[index],
              title: dietaryTitles[index],
            );
          }),
        ),
      ],
    );
  }
}
